### Home Classes Methods

### In Files

- lib/prawn/graphics/join_style.rb

### Methods

- #join_style
- #join_style=

### Files

- COPYING
- HACKING
- LICENSE
- README

### Class/Module Index

Quicksearch

- Prawn
- Prawn::Core
- Prawn::Document
- Prawn::Document::Annotations
- Prawn::Document::BoundingBox
- Prawn::Document::ColumnBox
- Prawn::Document::Destinations
- Prawn::Document::GraphicsState
- Prawn::Document::Internals
- Prawn::Document::PageGeometry
- Prawn::Document::Snapshot
- Prawn::Encoding
- Prawn::Errors
- Prawn::Font
- Prawn::Font::AFM
- Prawn::Font::DFont
- Prawn::Font::TTF
- Prawn::Graphics
- Prawn::Graphics::CapStyle
- Prawn::Graphics::Color
- Prawn::Graphics::Dash
- Prawn::Graphics::JoinStyle
- Prawn::Graphics::Transformation
- Prawn::Graphics::Transparency
- Prawn::Images
- Prawn::Images::JPG
- Prawn::Images::PNG
- Prawn::Measurements
- Prawn::Outline
- Prawn::Stamp
- Prawn::Text
- Prawn::Text::Box
- Prawn::Text::LineWrap
- File
- Numeric

No matching classes.

# Prawn::Graphics::JoinStyle

### Constants

JOIN_STYLES

### Public Instance Methods

join_style(style=nil) click to toggle source

Sets the join style for stroked lines and curves

style is one of :miter, :round, or :bevel

NOTE: if this method is never called, :miter will be used for join style throughout the document

    # File lib/prawn/graphics/join_style.rb, line 20
    def join_style(style=nil)
      return @join_style || :miter if style.nil?

      @join_style = style

      write_stroke_join_style
    end

Also aliased as: join_style=
join_style=(style=nil) click to toggle source
Alias for: join_style

[Validate]

Generated with the Darkfish Rdoc Generator 2.